org.springframework.beans

## Class MethodInvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.PropertyAccessException
            - - org.springframework.beans.MethodInvocationException

All Implemented Interfaces:
  Serializable, ErrorCoded

    public class MethodInvocationException
    extends PropertyAccessException

Thrown when a bean property getter or setter method throws an exception, analogous to an InvocationTargetException.

Author:
  Rod Johnson
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `ERROR_CODE` Error code that a method invocation error will be registered with.

### Constructor Summary

Constructors
Constructor and Description
`MethodInvocationException(PropertyChangeEvent propertyChangeEvent, Throwable cause)` Create a new MethodInvocationException.

### Method Summary

Methods
`String` `getErrorCode()` Return the error code associated with this failure.

### Methods inherited from class org.springframework.beans.PropertyAccessException

`getPropertyChangeEvent, getPropertyName, getValue`

### Methods inherited from class org.springframework.beans.BeansException

`equals, hashCode`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ERROR_CODE

    public static final String ERROR_CODE

Error code that a method invocation error will be registered with.

See Also:
  Constant Field Values

### Constructor Detail

#### MethodInvocationException

    public MethodInvocationException(PropertyChangeEvent propertyChangeEvent,
                             Throwable cause)

Create a new MethodInvocationException.

Parameters:
  `propertyChangeEvent` - PropertyChangeEvent that resulted in an exception
  `cause` - the Throwable raised by the invoked method

### Method Detail

#### getErrorCode

    public String getErrorCode()

Description copied from interface: `ErrorCoded`
Return the error code associated with this failure. The GUI can render this any way it pleases, allowing for localization etc.

Returns:
  a String error code associated with this failure, or `null` if not error-coded